<template>
  <div class="table">
    <div class="table_body">
      <div
        class="table_body-inner"
        v-for="(item, key) in data"
        :class="'table_body-inner-'+ getClassType(item.stats)"
        :key="key"
      >
        <div class="table-tr flex">
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
        </div>
        <div
          class="table-tr flex flex-middle lastWin">
          <div class="table-td">
            <div class="lastWin-item_wrapper lastWin_number">
              <div class="dateNumber">
                <div class="dateNumber_inner">
                  <div class="dateNumber_inner-number">{{item.win}}</div>
                  <div class="dateNumber_inner-date">{{getDay(item.timestamp)}}</div>
                </div>
              </div>
            </div>
          </div>
          <div class="table-td">
            <div class="lastWin-item_wrapper">
              <div class="lastWin-item lastWin-item-center color-white">
                1052 EOS
              </div>
            </div>
          </div>
          <div class="table-td">
            <div class="lastWin-item_wrapper">
              <div class="lastWin-item lastWin-item-center color-green">
                1032 EOS
              </div>
            </div>
          </div>
          <div class="table-td">
            <div class="lastWin-item_wrapper flex flex-middle flex-center">
              <Btn
                plain
                noPadding>
                <i class="i-icon-more i-deg90 color-icon"></i>
              </Btn>
            </div>
          </div>
        </div>
        <div class="table-tr flex">
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import Btn from '~/components/UI/Btn';

  const days = ['SUN', 'MON', 'TUE', 'WED', 'THU', 'FRI', 'SAT'];
  export default {
    name: "ChampionsBody",
    computed: {
      data() {
        return this.$store.state.game.data;
      }
    },
    components: {
      Btn,
    },
    methods: {
      getDay(timestamp) {
        return days[new Date(timestamp).getDay()];
      },
      getClassType(stats) {
        let type = '3';
        if (stats.total.bet_amount && !stats.total.wins.count) type = '4';
        if (stats.player && stats.player.wins.count) type = '2';
        if (stats.player && !stats.player.wins.count && stats.player.losses.count) type = '1';
        if ((stats.player && !stats.player.wins.count && !stats.player.losses.count || !stats.player) && stats.total.wins.count) type = '0';
        return type;
      },
      showDetails(item) {
        /*        this.$store.commit('gameDetails/SET_HISTORY_GAME_HASH', item.house_seed_hash);
                this.$store.commit('gameDetails/SET_SHOWING', true);*/
        this.$store.commit('gameDetails/CLEAN_DETAILS');
        this.$nextTick(_ => {
          this.$store.commit('gameDetails/SET_HISTORY_GAME_SETTINGS', item);
          //TODO remove after backend refactor
          localStorage.getItem('accountname') && this.$store.dispatch('gameDetails/fetch', {
            hash: item.house_seed_hash,
            type: 'my'
          });
          this.$store.dispatch('gameDetails/fetch', {
            hash: item.house_seed_hash,
            type: 'others'
          });
          this.$store.commit('gameDetails/SET_SHOWING', true);
        });
      }
    },
    created() {
      //this.$store.dispatch('game/fetchGames');
    }
  }
</script>
